Fabian Affolter
e1209db53b
cwltool: 3.1.20260315121657 -> 3.2.20260720092025
...
Changelog: https://github.com/common-workflow-language/cwltool/releases/tag/3.2.20260720092025
2026-08-17 08:39:01 +02:00
whispers
ab07aeec58
cwiid: drop
...
cwiid's wmgui depends on the long-deprecated gtk2, which we want to
delete. theoretically we could keep just libcwiid around, but the case
for an old codebase that doesn't seem to have been touched in 17 years
is not particularly compelling.
2026-07-22 11:34:47 -04:00
Angel J
da0e02d5c8
cwm: 7.4 -> 7.9
2026-06-20 10:02:53 -07:00
Angel J
3c0a7119ef
cwm: add iamanaws as maintainer
2026-06-20 10:02:36 -07:00
Hythera
10390edb9c
maintainers: remove mkf
2026-06-04 11:50:09 +02:00
R. Ryantm
57310f0915
cwal: 0.8.5 -> 0.9.0
2026-05-20 20:18:55 +00:00
R. Ryantm
7dcaf76b7e
cwal: 0.8.4 -> 0.8.5
2026-05-05 00:42:48 +00:00
Peder Bergebakken Sundt
f5b1542283
cwal: 0.8.2 -> v0.8.4 ( #506109 )
2026-04-10 19:04:29 +00:00
Fabian Affolter
a8ff54c2f6
cwltool: 3.1.20251031082601 -> 3.1.20260315121657
...
Changelog: https://github.com/common-workflow-language/cwltool/releases/tag/3.1.20260315121657
2026-04-06 20:19:44 +02:00
nitinbhat972
588b6b4b7c
cwal: 0.8.2 -> v0.8.4
2026-04-03 01:25:21 +05:30
Nitin Bhat
ef36169f17
cwal: use makeBinaryWrapper instead of makeWrapper
...
Co-authored-by: Yiyu Zhou <yiyuzhou19@gmail.com >
2026-03-30 12:25:27 +05:30
nitinbhat972
8ec9d015d5
cwal: add nitinbhat972 as maintainer
2026-03-29 10:07:43 -04:00
nitinbhat972
2334c8e9a9
cwal: 0.7.0 -> 0.8.2
2026-03-29 10:07:14 -04:00
Gustlik501
25c245f927
cwal: 0.5.0 -> 0.7.0
2026-03-15 18:06:36 +01:00
R. Ryantm
d80eaaa318
cwal: 0.4.1 -> 0.5.0
2026-03-11 17:31:36 +00:00
Gustlik501
25f0b8839d
cwal: init at 0.4.1
2026-03-05 18:44:41 +01:00
Fernando Rodrigues
693e12715a
various: switch buildGoModule packages to use finalAttrs ( #487704 )
2026-02-07 09:35:52 +00:00
Fernando Rodrigues
a242c54745
various: switch buildPythonApplication packages to use finalAttrs ( #487735 )
2026-02-07 09:30:09 +00:00
quantenzitrone
18dc8a95fb
various: switch buildPythonApplication packages to use finalAttrs
...
this shouldn't create any rebuilds
the following script was used to generate this:
```fish
#!/usr/bin/env fish
# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}
set base (git rev-parse HEAD)
set scope pkgs/by-name
set builder buildPythonApplication
set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)
for file in $files
echo $file
sd -F "$builder rec {" "$builder (finalAttrs: {" $file
# version
sd -F 'version}' 'finalAttrs.version}' $file
sd -F '${version' '${finalAttrs.version' $file
sd -F '= version' '= finalAttrs.version' $file
sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
sd -F ' + version;' ' + finalAttrs.version;' $file
sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
# src
sd -F 'src}' 'finalAttrs.src}' $file
sd -F '${src' '${finalAttrs.src' $file
sd -F '= src' '= finalAttrs.src' $file
sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
# meta
sd -F '${meta' '${finalAttrs.meta' $file
sd -F '= meta' '= finalAttrs.meta' $file
sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
# pname (restored afterwards)
sd -F 'pname}' 'finalAttrs.pname}' $file
sd -F '${pname' '${finalAttrs.pname' $file
sd -F '= pname' '= finalAttrs.pname' $file
# combinations
sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
sd -F 'inherit version pname;' 'inherit (finalAttrs) version pname;' $file
sd -F 'inherit pname version;' 'inherit (finalAttrs) pname version;' $file
sd -F 'inherit pname src version;' 'inherit (finalAttrs) pname src version;' $file
sd -F 'inherit pname version src;' 'inherit (finalAttrs) pname version src;' $file
sd -F 'inherit src pname version;' 'inherit (finalAttrs) src pname version;' $file
sd -F 'inherit src version pname;' 'inherit (finalAttrs) src version pname;' $file
sd -F 'inherit version pname src;' 'inherit (finalAttrs) version pname src;' $file
sd -F 'inherit version src pname;' 'inherit (finalAttrs) version src pname;' $file
# other
sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
sd -F 'nativeBuildInputs}' 'finalAttrs.nativeBuildInputs}' $file
sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
sd -F 'propagatedBuildInputs}' 'finalAttrs.propagatedBuildInputs}' $file
sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
sd -F 'makePythonPath dependencies' 'makePythonPath finalAttrs.dependencies' $file
sd -F 'makePythonPath propagatedBuildInputs' 'makePythonPath finalAttrs.propagatedBuildInputs' $file
sd -F 'libPath}' 'finalAttrs.libPath}' $file
sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
sd -F 'runtimeDeps}' 'finalAttrs.runtimeDeps}' $file
sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
# close finalAttrs lambda
echo ')' >>$file
# catch some errors early
if ! nixfmt $file
git restore $file
continue
end
if ! nixf-diagnose -i sema-primop-overridden $file
git restore $file
continue
end
end
set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore
for file in $files
# file hasn't changed
if git diff --quiet $base $file
continue
end
# try to eval the package to definitely catch all errors
echo $file
set pname (string split / $file -f 4)
if ! nix eval .#$pname
set torestore $torestore $file
end
end
# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
git restore $torestore
end
```
after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 10:06:06 +01:00
quantenzitrone
626f23ce26
various: switch packages to use finalAttrs
...
this shouldn't create any rebuilds
the following script was used to generate this:
```fish
#!/usr/bin/env fish
# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}
set base (git rev-parse HEAD)
set scope pkgs/by-name
set files (rg --files-with-matches -F 'stdenv.mkDerivation rec {' $scope | sort -u)
for file in $files
echo $file
sd -F 'stdenv.mkDerivation rec {' 'stdenv.mkDerivation (finalAttrs: {' $file
# version
sd -F 'version}' 'finalAttrs.version}' $file
sd -F '${version' '${finalAttrs.version' $file
sd -F '= version' '= finalAttrs.version' $file
sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
sd -F ' + version;' ' + finalAttrs.version;' $file
sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
# src
sd -F 'src}' 'finalAttrs.src}' $file
sd -F '${src' '${finalAttrs.src' $file
sd -F '= src' '= finalAttrs.src' $file
sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
# meta
sd -F '${meta' '${finalAttrs.meta' $file
sd -F '= meta' '= finalAttrs.meta' $file
sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
# other
sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
sd -F 'libPath}' 'finalAttrs.libPath}' $file
sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
# pname (restored afterwards)
sd -F 'pname}' 'finalAttrs.pname}' $file
sd -F '${pname' '${finalAttrs.pname' $file
sd -F '= pname' '= finalAttrs.pname' $file
# close finalAttrs lambda
echo ')' >>$file
# catch some errors early
if ! nixfmt $file
git restore $file
continue
end
if ! nixf-diagnose -i sema-primop-overridden $file
git restore $file
continue
end
end
set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore
for file in $files
# file hasn't changed
if git diff --quiet $base $file
continue
end
# try to eval the package to definitely catch all errors
echo $file
set pname (string split / $file -f 4)
if ! nix eval .#$pname
set torestore $torestore $file
end
end
# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
git restore $torestore
end
```
after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 09:59:05 +01:00
quantenzitrone
9380e05c3c
various: switch buildGoModule packages to use finalAttrs
...
this shouldn't create any rebuilds
the following script was used to generate this:
```fish
#!/usr/bin/env fish
# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}
set base (git rev-parse HEAD)
set scope pkgs/by-name
set builder buildGoModule
set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)
for file in $files
echo $file
sd -F "$builder rec {" "$builder (finalAttrs: {" $file
# version
sd -F 'version}' 'finalAttrs.version}' $file
sd -F '${version' '${finalAttrs.version' $file
sd -F '= version' '= finalAttrs.version' $file
sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
sd -F ' + version;' ' + finalAttrs.version;' $file
sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
# src
sd -F 'src}' 'finalAttrs.src}' $file
sd -F '${src' '${finalAttrs.src' $file
sd -F '= src' '= finalAttrs.src' $file
sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
# meta
sd -F '${meta' '${finalAttrs.meta' $file
sd -F '= meta' '= finalAttrs.meta' $file
sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
# other
sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
sd -F 'libPath}' 'finalAttrs.libPath}' $file
sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
# pname (restored afterwards)
sd -F 'pname}' 'finalAttrs.pname}' $file
sd -F '${pname' '${finalAttrs.pname' $file
sd -F '= pname' '= finalAttrs.pname' $file
# close finalAttrs lambda
echo ')' >>$file
# catch some errors early
if ! nixfmt $file
git restore $file
continue
end
if ! nixf-diagnose -i sema-primop-overridden $file
git restore $file
continue
end
end
set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore
for file in $files
# file hasn't changed
if git diff --quiet $base $file
continue
end
# try to eval the package to definitely catch all errors
echo $file
set pname (string split / $file -f 4)
if ! nix eval .#$pname
set torestore $torestore $file
end
end
# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
git restore $torestore
end
```
after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 09:28:59 +01:00
quantenzitrone
43cdce2c39
various: rename references from libXrandr to libxrandr
...
this shouldn't create any rebuilds
2026-02-06 00:29:06 +01:00
quantenzitrone
5e4a1bdd9c
various: rename references from libXinerama to libxinerama
...
this shouldn't create any rebuilds
2026-02-06 00:25:42 +01:00
quantenzitrone
3c289c8179
various: rename references from libXft to libxft
...
this shouldn't create any rebuilds
2026-02-06 00:25:41 +01:00
quantenzitrone
55280fa564
various: rename references from libX11 to libx11
...
this shouldn't create any rebuilds
2026-02-06 00:24:34 +01:00
Stefan Frijters
56cee3b77f
cwiid: move NIX_CFLAGS_COMPILE into env for structuredAttrs
2026-01-30 23:07:02 +01:00
quantenzitrone
6b61249106
various: switch to finalAttrs pattern
...
this shouldn't create any rebuilds
2026-01-30 02:36:22 +01:00
Marcin Serwin
927905c60a
cwe-client-cli: drop
...
The project has no clear licensing information.
Signed-off-by: Marcin Serwin <marcin@serwin.dev >
2026-01-15 23:31:43 +01:00
Fernando Rodrigues
060b059c41
cwtch: 0.1.7 -> 0.2.1 ( #447618 )
2025-12-27 15:37:52 +00:00
George Macon
5a5a90f696
cwtch: 0.1.7 -> 0.2.1
...
Changelogs:
- v0.1.8: https://git.openprivacy.ca/cwtch.im/autobindings/releases/tag/v0.1.8
- v0.2.0: https://git.openprivacy.ca/cwtch.im/autobindings/releases/tag/v0.2.0
- v0.2.0: https://git.openprivacy.ca/cwtch.im/autobindings/releases/tag/v0.2.1
2025-12-25 16:30:09 -05:00
qzylinra
5ab6e10c3a
cwtch-ui: 1.16.1 -> 1.16.3
2025-12-25 00:39:19 +00:00
Ihar Hrachyshka
567e8dfd8e
treewide: clean up 'meta = with' pattern
...
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.
Co-authored-by: Wolfgang Walther <walther@technowledgy.de >
2025-12-10 18:09:49 +01:00
Robert Schütz
00485ae772
cwltool: unpin rdflib
2025-12-06 14:00:49 -08:00
R. Ryantm
1690f91c4c
cwltool: 3.1.20250925164626 -> 3.1.20251031082601
2025-11-08 11:39:49 +00:00
R. Ryantm
b8008de778
cwtch-ui: 1.16.0 -> 1.16.1
2025-10-30 00:40:56 +00:00
Sigmanificient
532616753d
cwltool: 3.1.20250110105449 -> 3.1.20250925164626
2025-10-29 02:28:57 +01:00
George Macon
8275a9eb5d
cwtch-ui: 1.15.5 -> 1.16.0
2025-09-10 18:14:22 -04:00
George Macon
a0f6575e05
cwtch: 0.1.6 -> 0.1.7
2025-09-10 18:14:22 -04:00
TomaSajt
398b16e16c
treewide: remove useFetchCargoVendor usages
2025-07-26 11:39:35 +02:00
liberodark
c6729488de
treewide: remove with lib Part 4
2025-06-07 00:48:50 +02:00
Tristan Ross
807602f988
flutter332: 3.32.0-0.4.pre -> 3.32.0 ( #409286 )
2025-05-29 12:36:32 -07:00
Fabian Affolter
f4309b43f5
cwltool: relax mypy
2025-05-29 00:34:00 +02:00
emaryn
348f651619
cwtch-ui: pin in flutter329
2025-05-21 17:21:37 +08:00
R. Ryantm
95c1e7ecfc
cwe-client-cli: 0.3.2 -> 0.3.3
2025-04-24 18:14:48 +00:00
Winter
a19cd4ffb1
Revert "treewide: replace rev with tag"
...
This reverts commit 65a333600d .
This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.
It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).
A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.
[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Pol Dellaiera
65a333600d
treewide: replace rev with tag
2025-04-07 16:57:22 +02:00
Sigmanificient
e6fe6f4b7c
treewide: remove unused rec expressions
2025-03-13 21:34:05 +01:00
Peder Bergebakken Sundt
357d2530e5
treewide: substitute pname for strings
...
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777 , script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865 , part of https://github.com/NixOS/nixpkgs/issues/346453
Should be zero rebuilds.
All candidates were made using:
```shell
export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1
git-wait restore .
test -s packages.json || ( set -x;
time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)
list_attrpath_fname_col() {
jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
sed -e "s#\t$(realpath .)/#\t#" |
sed -e 's#:\([0-9]*\)$#\t\1#' |
grep . |
grep -iv haskell |
grep -iv /top-level/ |
grep -iv chicken |
grep pkgs/by-name/ |
grep -iv build |
grep -E '/(package|default)\.nix'
}
FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue
echo | (
# mutex on fname
flock --nonblock 200 || {
>&2 echo "failed to aquire lock for $fname"
exit 1
}
echo "$attrpath"
data="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
test -n "$data" || exit
pname="$(jq <<<"$data" .pname -r)"
test -n "$pname" || exit
(set -x
sd -F '${pname}' "$pname" "$fname"
sd -F ' = pname;' " = \"$pname\";" "$fname"
)
data2="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
if [[ "$data" = "$data2" ]]; then
(set -x; git-wait add "$fname")
else
(set -x; git-wait restore "$fname")
exit
fi
(set -x
sd -F ' rec {' ' {' "$fname"
)
data3="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"
if [[ "$data" = "$data3" ]]; then
(set -x; git-wait add "$fname")
else
(set -x; git-wait restore "$fname")
fi
) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &
while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
wait -n < <(jobs -p) || true
done
done < <(list_attrpath_fname_col)
wait
git restore .
time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```
`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
Fabian Affolter
2ad000b540
cwltool: 3.1.20241217163858 -> 3.1.20250110105449
...
Diff: https://github.com/common-workflow-language/cwltool/compare/refs/tags/3.1.20241217163858...3.1.20250110105449
Changelog: https://github.com/common-workflow-language/cwltool/releases/tag/3.1.20250110105449
2025-03-05 09:29:37 +01:00
George Macon
7f7b4883df
cwtch-ui: 1.15.4 -> 1.15.5
2025-02-24 19:28:52 -05:00